"use strict";
/*
 This is the main module, it exports the 'render' API.

 The compiled modules are bundled by Webpack into 'var' (script tag) and 'commonjs' (npm)
 formatted libraries.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.render = void 0;
const Api = require("./api");
const Options = require("./options");
/*
  The single public API which translates Rimu Markup to HTML:

    render(source [, options])
 */
function render(source, opts = {}) {
    Options.updateOptions(opts);
    return Api.render(source);
}
exports.render = render;
// Load-time initialization.
Api.init();
