import * as Io from "./io";
import * as Utils from "./utils";
export interface Definition {
    name?: string;
    openMatch: RegExp;
    closeMatch?: RegExp;
    openTag: string;
    closeTag: string;
    verify?: (match: RegExpMatchArray) => boolean;
    delimiterFilter?: (match: string[]) => string;
    contentFilter?: (text: string, match: string[], expansionOptions: Utils.ExpansionOptions) => string;
    expansionOptions: Utils.ExpansionOptions;
}
export declare let defs: Definition[];
export declare function init(): void;
export declare function render(reader: Io.Reader, writer: Io.Writer, allowed?: string[]): boolean;
export declare function getDefinition(name: string): Definition;
export declare function setBlockOptions(blockOptions: Utils.ExpansionOptions, optionsString: string): void;
export declare function setDefinition(name: string, value: string): void;
