/*
 This is the main module, it exports the 'render' API.

 The compiled modules are bundled by Webpack into 'var' (script tag) and 'commonjs' (npm)
 formatted libraries.
 */
import * as Api from "./api.js";
import * as Options from "./options.js";
/*
  The single public API which translates Rimu Markup to HTML:

    render(source [, options])
 */
export function render(source, opts = {}) {
    Options.updateOptions(opts);
    return Api.render(source);
}
// Load-time initialization.
Api.init();
